/*
EZW.H

This file is part of my Embedded Zerotree Wavelet Encoder Tutorial.

C. Valens

Created    : 07/09/1999
Last update: 07/09/1999
*/


#ifndef __EZW_H__
#define __EZW_H__


#include "matrix2d.h"


typedef struct __ezw_file_header {
  int height;
  int width;
  element_type threshold;
} ezw_file_header;


/*
 * Shapiro's example data
 */
const int example[8][8] = {
  { 63,-34, 49, 10,  7, 13,-12,  7 },
  {-31, 23, 14,-13,  3,  4,  6, -1 },
  { 15, 14,  3,-12,  5, -7,  3,  9 },
  { -9, -7,-14,  8,  4, -2,  3,  2 },
  { -5,  9, -1, 47,  4,  6, -2,  2 },
  {  3,  0, -3,  2,  3, -2,  0,  4 },
  {  2, -3,  6, -4,  3,  6,  3,  6 },
  {  5, 11,  5,  6,  0,  3, -4,  4 }
};


/*
 * Code alphabet.
 */
#define ZERO  0 /* binary 0 */
#define ONE   1 /* binary 1 */
#define ZTR   2 /* binary 00 */
#define POS   3 /* binary 01 */
#define NEG   4 /* binary 11 */
#define IZ    5 /* binary 10 */


#endif /* __EZW_H__ */
